Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.process
Interface DocumentProcessor<IN,OUT,L,F>

Type Parameters:
  `L` - The type of the labels

All Known Implementing Classes:
  AbstractListProcessor, PTBEscapingProcessor, StripTagsProcessor, WordToTaggedWordProcessor

    public interface DocumentProcessor<IN,OUT,L,F>

Top-level interface for transforming Documents.

Author:
  Sepandar Kamvar (sdkamvar@stanford.edu), Sarah Spikes (sdspikes@cs.stanford.edu) (Templatization)
See Also:
  `processDocument(edu.stanford.nlp.ling.Document)`

Method Summary
`Document<L,F,OUT>` | `processDocument(Document<L,F,IN> in)` Converts a Document to a different Document, by transforming or filtering the original Document.

Method Detail

### processDocument

    Document<L,F,OUT> processDocument(Document<L,F,IN> in)

  Converts a Document to a different Document, by transforming or filtering the original Document. The general contract of this method is to not modify the `in` Document in any way, and to preserve the metadata of the `in` Document in the returned Document.

  See Also:
    `FunctionProcessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group